org.jetlang.remote.core

## Class JavaSerializer.Factory

- java.lang.Object
- - org.jetlang.remote.core.JavaSerializer.Factory

All Implemented Interfaces:
  SerializerFactory

Enclosing class:
  JavaSerializer

    public static class JavaSerializer.Factory
    extends Object
    implements SerializerFactory

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Serializer` `create()`
`ObjectByteWriter` `createForGlobalWriter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jetlang.remote.core.SerializerFactory

`createForSocket`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### create

    public Serializer create()

Specified by:
  `create` in interface `SerializerFactory`

#### createForGlobalWriter

    public ObjectByteWriter createForGlobalWriter()

Specified by:
  `createForGlobalWriter` in interface `SerializerFactory`